memset(3)

NAME
memset - fill memory with a constant byte

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>

void *memset(void s[.n], int c, size_t n);

DESCRIPTION
The memset() function fills the first n bytes of the memory area pointed to by s with the constant byte c.

RETURN VALUE
The memset() function returns a pointer to the memory area s.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C11, POSIX.1-2008.

HISTORY
POSIX.1-2001, C89, SVr4, 4.3BSD.

SEE ALSO
bstring(3), bzero(3), swab(3), wmemset(3)